Package Details: tribler 7.11.0-1

Git Clone URL: https://aur.archlinux.org/tribler.git (read-only, click to copy)
Package Base: tribler
Description: P2P/Bittorrent/YouTube client
Upstream URL: http://tribler.org
Licenses: GPL3
Conflicts: tribler
Provides: tribler
Submitter: FFY00
Maintainer: AnoGP
Last Packager: AnoGP
Votes: 13
Popularity: 0.97
First Submitted: 2020-10-24 16:58 (UTC)
Last Updated: 2022-01-02 11:43 (UTC)

Pinned Comments

AnoGP commented on 2020-12-08 23:18 (UTC)

The current version of Tribler (7.6.0) currently has issues on Arch Linux. For details follow this link: https://github.com/Tribler/tribler/issues/5814 For temporary workaround install the aiohttp_apispec package with pip to override the python-aiohttp-apispec package provided by the system: pip install --user aiohttp_apispec

Latest Comments

AnoGP commented on 2022-03-27 21:13 (UTC)

Yes it is maintained, but I am waiting for the next major version to release which hopefully solves this Python dependency chaos.

dejanmilo commented on 2022-03-23 21:54 (UTC)

Tribler still not working (Manjaro Linux). The Python dependency-hell. No Update since 02 Jan 2022 - is this package still maintained?

AnoGP commented on 2022-03-23 20:41 (UTC)

New day, new Python package breakage. If you updated the python-markupsafe package to version 2.1 or higher, then Tribler 7.11 will not start. Workaround for now is the usual, install the previous version with pip: pip install markupsafe==2.0.1

rufous commented on 2022-03-04 12:13 (UTC)

Please add dependency python-sentry_sdk

AnoGP commented on 2022-01-13 19:27 (UTC)

Attention, if you updated the libtorrent-rasterbar package to version 2.0.5, then you will probably run into this issue: https://github.com/Tribler/tribler/issues/6717

To bypass this error you have to override the system libtorrent-rasterbar package: pip install libtorrent==1.2.15

AnoGP commented on 2022-01-10 17:31 (UTC) (edited on 2022-01-10 17:33 (UTC) by AnoGP)

Shorter version to fix this issue: try install the latest version of PonyORM with pip: pip install pony==0.7.15rc1 The whole situation is the following: I reported the previous issue which prevented Tribler to start and release 7.11 already contains the bugfix. But then I got another error and according to one of the developer this is happening, because Tribler not fully compatible with Python 3.10 (the PonyORM package on which Tribler relies on did not have full Python 3.10 compatibility): https://github.com/Tribler/tribler/issues/6688#issuecomment-1001686423 But today only hours ago I found out that the Python 3.10 compatibility added to the new RC version of PonyORM: https://github.com/weannounce/arrnounced/issues/24#issuecomment-1008753734 So if you install this RC, Tribler will start: pip install pony==0.7.15rc1 For me this solved the issue, Tribler starts and downloads are also working, but the program still throwing some error messages at start, which looks like does not effect usability. When version 0.7.15 of the python-pony package will be available at the Arch repos, this workaround will no longer be necessary.

dejanmilo commented on 2022-01-07 10:49 (UTC)

Hi there,

after updating to Tribler 7.11 (Manjaro Linux), Tribler crashes after starting with following error:

Copying data from previous Tribler version. {'exc_info': (<class 'ModuleNotFoundError'>, ModuleNotFoundError("No module named 'yappi'"), <traceback object at 0x7f4b0281dc00>), 'attachments': []}.

"pip install yappi" helped a little, but Tribler crashes then in another way:

QProcess: Destroyed while process ("/usr/bin/python3") is still running. [PID:107249] 2022-01-07 11:47:15,672 - ERROR <error_handler:28> ErrorHandler.gui_error(): tribler_gui.utilities.CreationTraceback: File "/opt/Tribler/run_tribler.py", line 128, in <module> sys.exit(app.exec_()) File "/opt/Tribler/tribler-gui/tribler_gui/utilities.py", line 372, in trackback_wrapper callback(args, *kwargs) File "/opt/Tribler/tribler-gui/tribler_gui/core_manager.py", line 102, in on_request_error self.start_tribler_core(core_args=core_args, core_env=core_env) File "/opt/Tribler/tribler-gui/tribler_gui/core_manager.py", line 182, in start_tribler_core connect(self.core_process.finished, self.on_core_finished)

The above exception was the direct cause of the following exception:

Traceback (most recent call last): File "/opt/Tribler/tribler-gui/tribler_gui/utilities.py", line 375, in trackback_wrapper raise exc from CreationTraceback(traceback_str) File "/opt/Tribler/tribler-gui/tribler_gui/utilities.py", line 372, in trackback_wrapper callback(args, *kwargs) File "/opt/Tribler/tribler-gui/tribler_gui/core_manager.py", line 79, in on_core_finished if self.events_manager.connect_timer and self.events_manager.connect_timer.isActive(): RuntimeError: wrapped C/C++ object of type QTimer has been deleted

AnoGP commented on 2021-12-26 17:07 (UTC)

I reported this issue on the Tribler GitHub page. Maybe they can figure out what is going on.

AnoGP commented on 2021-12-19 21:59 (UTC)

I started Tribler after a week and now I am having the absolute same issue. One of the Qt or Python package updates introduced this issue I suppose, so I started to downgrade them one-by-one, but I did not find yet which one is the responsible for this issue.

sjondebok commented on 2021-12-16 09:22 (UTC)

@AnoGP Thanks for your reply. I already used this solution long time ago. Never had problems with Tribler since. This is a different issue, I' m afraid.

AnoGP commented on 2021-12-15 10:50 (UTC)

Did you try the solution in the pinned message? "For temporary workaround install the aiohttp_apispec package with pip to override the python-aiohttp-apispec package provided by the system: pip install --user aiohttp_apispec"

Maybe it will help.

sjondebok commented on 2021-12-14 14:20 (UTC)

I'm getting an error message when starting tribler: https://pastebin.com/tHWdtpNw

Any thoughts?

AnoGP commented on 2021-07-16 06:48 (UTC)

Problem solved, thank you for reporting it!

asm0dey commented on 2021-07-15 18:52 (UTC)

Checksum verification is failing:

==> Validating source files with sha256sums...
Tribler-v7.10.0.tar.xz ... FAILED
Tribler.desktop ... Passed
tribler.sh ... Passed

AnoGP commented on 2021-04-02 19:29 (UTC)

I hope it is just temporary. As in the issue forum states: "Also, if someone makes a quick fix to aiohttp_apispec, it technically can be applied to the Arch package right away even before upstream reacts to a PR."

So basically we have to wait for an aiohttp_apispec package update.

keren_sky commented on 2021-04-01 12:08 (UTC)

Is this a temporary-permanent workaround?

dejanmilo commented on 2021-01-30 21:24 (UTC)

Tribler 7.7.1 works. (Manjaro Linux)

Artemy commented on 2021-01-30 20:56 (UTC)

@AnoGP Thank you very much!

AnoGP commented on 2021-01-30 18:41 (UTC)

@Artemy

Please see the pinned comment, I think it will solve your problem.

Artemy commented on 2021-01-29 17:08 (UTC)

https://pastebin.com/gDPtVL3T

dejanmilo commented on 2021-01-12 16:39 (UTC)

@PaperJack

The best is, you start Tribler on the cmd, so you will have an output before it crashes. This output you can post here in hope, that somebody can help you.

PaperJack commented on 2021-01-12 15:43 (UTC) (edited on 2021-01-12 15:43 (UTC) by PaperJack)

I'm writing after upgrading Tribler from 7.7.0-1 to 7.7.1-1. Tribler shows its window and is loading something, but it still crashes after some time and I don't understand what is wrong with it.

dejanmilo commented on 2021-01-11 19:27 (UTC) (edited on 2021-01-11 19:28 (UTC) by dejanmilo)

@PaperJack Try the following (that's all what I did):

pip uninstall configobj

pip install configobj

This removes and re-installs configobj

The point was in my case: I listed all installed modules with

pip list

and saw an configobj-dev.x.y (where x.y was a number I don't remember). After the "pip uninstall configobj" there were two different versions to be deinstalled. I don't know why I there were two versions.

After removing both and installing configobj again, there was only one version - the right one and Tribler worked again. Good luck.

PaperJack commented on 2021-01-11 17:22 (UTC)

@dejanmilo how did you fix your tribler? I don't know how to remove configobj and install the right one.

narcester commented on 2021-01-10 23:54 (UTC)

Whenever I try to start Tribler, it gives me the following output and then crashes:

Traceback (most recent call last): File "/opt/Tribler/run_tribler.py", line 179, in <module> sys.exit(app.exec_()) File "/opt/Tribler/tribler-gui/tribler_gui/utilities.py", line 382, in trackback_wrapper callback(args, *kwargs) File "/opt/Tribler/tribler-gui/tribler_gui/event_request_manager.py", line 150, in connect connect(self.reply.error, lambda error: self.on_error(error, reschedule_on_err=reschedule_on_err)) tribler_gui.utilities.CreationTraceback

The above exception was the direct cause of the following exception:

Traceback (most recent call last): File "/opt/Tribler/tribler-gui/tribler_gui/utilities.py", line 385, in trackback_wrapper raise exc from source_exc File "/opt/Tribler/tribler-gui/tribler_gui/utilities.py", line 382, in trackback_wrapper callback(args, kwargs) File "/opt/Tribler/tribler-gui/tribler_gui/event_request_manager.py", line 150, in <lambda> connect(self.reply.error, lambda error: self.on_error(error, reschedule_on_err=reschedule_on_err)) File "/opt/Tribler/tribler-gui/tribler_gui/event_request_manager.py", line 84, in on_error raise CoreConnectTimeoutError("Could not connect with the Tribler Core within 60 seconds") tribler_gui.event_request_manager.CoreConnectTimeoutError: Could not connect with the Tribler Core within 60 seconds [PID:377268] 2021-01-11 01:51:14,808 - ERROR <session:250> Session.unhandled_error_observer(): Unhandled exception occurred! schema2parameters() missing 1 required keyword-only argument: 'location' --LONG TEXT-- Traceback (most recent call last): File "/opt/Tribler/run_tribler.py", line 88, in start_tribler await session.start() File "/opt/Tribler/tribler-core/tribler_core/session.py", line 296, in start await self.api_manager.start() File "/opt/Tribler/tribler-core/tribler_core/restapi/rest_manager.py", line 102, in start await self.runner.setup() File "/usr/lib/python3.9/site-packages/aiohttp/web_runner.py", line 275, in setup self._server = await self._make_server() File "/usr/lib/python3.9/site-packages/aiohttp/web_runner.py", line 375, in _make_server await self._app.startup() File "/usr/lib/python3.9/site-packages/aiohttp/web_app.py", line 416, in startup await self.on_startup.send(self) File "/usr/lib/python3.9/site-packages/aiohttp/signals.py", line 34, in send await receiver(args, **kwargs) # type: ignore File "/usr/lib/python3.9/site-packages/aiohttp_apispec/aiohttp_apispec.py", line 77, in doc_routes self.register(app) File "/usr/lib/python3.9/site-packages/aiohttp_apispec/aiohttp_apispec.py", line 117, in _register self._register_route(route, method, view) File "/usr/lib/python3.9/site-packages/aiohttp_apispec/aiohttp_apispec.py", line 131, in _register_route self._update_paths(view.apispec, method, self.prefix + url_path) File "/usr/lib/python3.9/site-packages/aiohttp_apispec/aiohttp_apispec.py", line 153, in _update_paths raw_parameters = self.plugin.converter.schema2parameters( TypeError: schema2parameters() missing 1 required keyword-only argument: 'location'

--CONTEXT-- {'message': 'Task exception was never retrieved', 'exception': TypeError("schema2parameters() missing 1 required keyword-only argument: 'location'"), 'future': <Task finished name='Task-1' coro=\<start_tribler_core.\<locals>.start_tribler() done, defined at /opt/Tribler/run_tribler.py:53> exception=TypeError("schema2parameters() missing 1 required keyword-only argument: 'location'")>}

What is wrong with this? I don't get what is wrong.

dejanmilo commented on 2021-01-10 00:45 (UTC)

Got it…there were two different versions of configobj installed. Removed both and installed that from requirements.txt - now it works.

dejanmilo commented on 2021-01-04 13:55 (UTC)

Please take a look here: https://github.com/gnome-terminator/terminator/pull/325

There are a lot of other problems with the module validate.

It seems the problem ist in the last version of python-configobj (5.0.6-10), the path to the validate module has changed.

dejanmilo commented on 2021-01-04 13:13 (UTC)

I think this could be the reason for the problems with valdiate:

https://bugs.archlinux.org/task/69090?project=5

Will try the workaround.

dejanmilo commented on 2021-01-03 18:33 (UTC)

This a really interesting hint. It seems something is broken with validate.py - I got following output:

sudo pacman -Qo /usr/lib/python3.9/site-packages/validate.py Erroe: No packet owns /usr/lib/python3.9/site-packages/validate.py

And then trying to install validate:

pip install validate --user --no-cache-dir

Collecting validate Downloading validate-1.0.1.tar.gz (32 kB) ERROR: Command errored out with exit status 1: command: /usr/bin/python -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-nssxjsbf/validate/setup.py'"'"'; file='"'"'/tmp/pip-install-nssxjsbf/validate/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(file);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, file, '"'"'exec'"'"'))' egg_info --egg-base /tmp/pip-pip-egg-info-4264z_uk cwd: /tmp/pip-install-nssxjsbf/validate/ Complete output (8 lines): Traceback (most recent call last): File "<string>", line 1, in <module> File "/tmp/pip-install-nssxjsbf/validate/setup.py", line 13, in <module> from configobj import version as VERSION File "/tmp/pip-install-nssxjsbf/validate/configobj.py", line 1632 except Exception, e: ^ SyntaxError: invalid syntax ---------------------------------------- ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.

AnoGP commented on 2021-01-03 18:07 (UTC)

Interesting, for me Tribler is working perfectly on Arch with latest updates.

If I check where /usr/lib/python3.9/site-packages/validate.py belongs to, I got this: pacman -Qo /usr/lib/python3.9/site-packages/validate.py /usr/lib/python3.9/site-packages/validate.py is owned by python-configobj 5.0.6.r110.g3e2f4cc-1

The package "python-configobj" is already a dependecy for Tribler, so it has to be installed.

Do you have another validate version installed with pip before Tribler was installed?

If I try to install it with pip after Tribler installed, I got this: pip install validate --user Requirement already satisfied: validate in /usr/lib/python3.9/site-packages (5.1.0.dev0)

dejanmilo commented on 2021-01-03 17:59 (UTC)

I think the problem is with the update from Python 3.8.x to 3.9.x some days ago. Since the last Manjaro-update - the Python update included - Tribler is working no more more.

dboehmisch commented on 2021-01-03 17:27 (UTC)

Getting same error with 'validate' module. Looking at the error and last update of validate, I'm assuming it's incompatible with Python 3.

https://pypi.org/project/validate/

http://www.voidspace.org.uk/python/validate.html

What's weird is I started getting this error prior to updating the package to the latest version. Was hoping an update would solve it.

dejanmilo commented on 2021-01-02 11:40 (UTC)

Hi,

thanks, but still the same, after calling /usr/bin/tribler (which is linked to /opt/Tribler/tribler.sh)

Traceback (most recent call last): File "/opt/Tribler/run_tribler.py", line 12, in <module> from tribler_core.config.tribler_config import CONFIG_FILENAME File "/opt/Tribler/tribler-core/tribler_core/config/tribler_config.py", line 9, in <module> from validate import Validator ModuleNotFoundError: No module named 'validate'

The requirements from /opt/Tribler/requirements.txt were already satisfied.

After calling /opt/Tribler/run_ribler.py I got this output:

Traceback (most recent call last): File "/opt/Tribler/run_tribler.py", line 8, in <module> from tribler_common.sentry_reporter.sentry_reporter import SentryReporter ModuleNotFoundError: No module named 'tribler_common'

AnoGP commented on 2021-01-02 10:47 (UTC)

Hi!

Thanks for reporting it! I added a few missing dependencies to this package based on the Tribler requirements.txt. Please test this release, maybe it will solve your issue.

dejanmilo commented on 2020-12-31 12:14 (UTC) (edited on 2020-12-31 12:15 (UTC) by dejanmilo)

Hi there,

I have here a Manjaro Linux with Kernel 5.9.16, Python 3.9,1 and Tribler 7.6.1-1

After starting Tribler, I got a crash with the following:

Traceback (most recent call last): File “/opt/Tribler/run_tribler.py”, line 12, in from tribler_core.config.tribler_config import CONFIG_FILENAME File “/opt/Tribler/tribler-core/tribler_core/config/tribler_config.py”, line 9, in from validate import Validator ModuleNotFoundError: No module named ‘validate’

Any idea how to fix this? Thank you.

AnoGP commented on 2020-12-08 23:18 (UTC)

The current version of Tribler (7.6.0) currently has issues on Arch Linux. For details follow this link: https://github.com/Tribler/tribler/issues/5814 For temporary workaround install the aiohttp_apispec package with pip to override the python-aiohttp-apispec package provided by the system: pip install --user aiohttp_apispec

AnoGP commented on 2020-11-25 10:38 (UTC)

Thanks for reporting it! The package python-yaml added as dependency.

prurigro commented on 2020-11-24 21:29 (UTC)

python-yaml needs to be added to the dependencies

AnoGP commented on 2020-11-20 07:50 (UTC)

Thanks for reporting the issue, it was my fault. I fixed the PKGBUILD, it has to work now.

figue commented on 2020-11-19 21:44 (UTC) (edited on 2020-11-19 21:44 (UTC) by figue)

@AnoGP @rkelly probably you need to change your PKGBUILD to something like this:

diff --git a/PKGBUILD b/PKGBUILD
index 859a652..31c5f4c 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -46,8 +46,8 @@ package() {

     # Copy files from the source tarball to /opt/Tribler/.
     cp -r "$srcdir/tribler/src/"{anydex,pyipv8,tribler-common,tribler-core,tribler-gui,requirements.txt,run_tribler.py} "$pkgdir/opt/Tribler/"
-    cp -r "$srcdir/tribler/build/debian/tribler/usr/share/pixmaps/tribler_big.xpm" "$pkgdir/opt/Tribler/"
-    cp -r "tribler.sh" "$pkgdir/opt/Tribler/"
+    cp -f "$srcdir/tribler/build/debian/tribler/usr/share/pixmaps/tribler_big.xpm" "$pkgdir/opt/Tribler/"
+    install -Dm755 "$srcdir/tribler.sh" "$pkgdir/opt/Tribler/"

     # Copy desktop launcher to /usr/share/applications/.
     cp -r "Tribler.desktop" "$pkgdir/usr/share/applications/Tribler.desktop"

rkelly commented on 2020-11-19 18:25 (UTC)

Doesn't work for me. I don't end up with a /usr/bin/tribler symbolic link. And /opt/Tribler/tribler.sh points to the package installation cache.

commented on 2020-10-27 20:14 (UTC)

Fails while building. sed: can't read src/tribler/tribler-core/tribler_core/version.py: No such file or directory